Pave Bank
Webhook

Update Webhook URL

Update the webhook URL configuration for the authenticated client. Available in sandbox and development environments only.

PUT
/v1/webhook/url

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
webhook_urlRequiredstring

The webhook URL endpoint. Must use http or https protocol. Leave empty to reset the webhook URL.

Response Body

Success response

webhook_nameRequiredstring

The name of the webhook/client credential

webhook_urlRequiredstring

The updated webhook URL endpoint

legal_entity_idRequiredstring

The legal entity ID associated with this webhook

updated_atRequiredstring

Timestamp when the webhook was updated

Format: "date-time"
curl -X PUT "https://developer-api-staging.pavebank.dev/v1/webhook/url" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "webhook_url": "string"
  }'
{
  "webhook_name": "string",
  "webhook_url": "string",
  "legal_entity_id": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}